## org.jfree.report.modules.gui.swing.common.localization
Interface LocalizedAction

All Superinterfaces:
  javax.swing.Action, java.awt.event.ActionListener, java.util.EventListener

    public interface LocalizedAction

extends javax.swing.Action

Creation-Date: 30.11.2006, 13:09:37

Author:
  Thomas Morgner

Field Summary

Fields inherited from interface javax.swing.Action
`ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, DISPLAYED_MNEMONIC_INDEX_KEY, LARGE_ICON_KEY, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SELECTED_KEY, SHORT_DESCRIPTION, SMALL_ICON`

Method Summary
`void` `update(java.util.Locale locale)`

Methods inherited from interface javax.swing.Action
`addPropertyChangeListener, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

Methods inherited from interface java.awt.event.ActionListener
`actionPerformed`

Method Detail

### update

    void update(java.util.Locale locale)